# Uses of Class
javax.sound.sampled.AudioFormat.Encoding

Packages that use AudioFormat.Encoding
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.
javax.sound.sampled.spi
Supplies abstract classes for service providers to subclass when offering new audio devices, sound file readers and writers, or audio format converters.

## Uses of AudioFormat.Encoding in javax.sound.sampled

Fields in javax.sound.sampled declared as AudioFormat.Encoding
Modifier and Type
Field
Description
`static final AudioFormat.Encoding`
AudioFormat.Encoding.`ALAW`
Specifies a-law encoded data.
`protected AudioFormat.Encoding`
AudioFormat.`encoding`
The audio encoding technique used by this format.
`static final AudioFormat.Encoding`
AudioFormat.Encoding.`PCM_FLOAT`
Specifies floating-point PCM data.
`static final AudioFormat.Encoding`
AudioFormat.Encoding.`PCM_SIGNED`
Specifies signed, linear PCM data.
`static final AudioFormat.Encoding`
AudioFormat.Encoding.`PCM_UNSIGNED`
Specifies unsigned, linear PCM data.
`static final AudioFormat.Encoding`
AudioFormat.Encoding.`ULAW`
Specifies u-law encoded data.
Methods in javax.sound.sampled that return AudioFormat.Encoding
Modifier and Type
Method
Description
`AudioFormat.Encoding`
AudioFormat.`getEncoding()`
Obtains the type of encoding for sounds in this format.
`static AudioFormat.Encoding[]`
AudioSystem.`getTargetEncodings(AudioFormat sourceFormat)`
Obtains the encodings that the system can obtain from an audio input stream with the specified format using the set of installed format converters.
`static AudioFormat.Encoding[]`
AudioSystem.`getTargetEncodings(AudioFormat.Encoding sourceEncoding)`
Obtains the encodings that the system can obtain from an audio input stream with the specified encoding using the set of installed format converters.
Methods in javax.sound.sampled with parameters of type AudioFormat.Encoding
Modifier and Type
Method
Description
`static AudioInputStream`
AudioSystem.`getAudioInputStream(AudioFormat.Encoding targetEncoding, AudioInputStream sourceStream)`
Obtains an audio input stream of the indicated encoding, by converting the provided audio input stream.
`static AudioFormat.Encoding[]`
AudioSystem.`getTargetEncodings(AudioFormat.Encoding sourceEncoding)`
Obtains the encodings that the system can obtain from an audio input stream with the specified encoding using the set of installed format converters.
`static AudioFormat[]`
AudioSystem.`getTargetFormats(AudioFormat.Encoding targetEncoding, AudioFormat sourceFormat)`
Obtains the formats that have a particular encoding and that the system can obtain from a stream of the specified format using the set of installed format converters.
`static boolean`
AudioSystem.`isConversionSupported(AudioFormat.Encoding targetEncoding, AudioFormat sourceFormat)`
Indicates whether an audio input stream of the specified encoding can be obtained from an audio input stream that has the specified format.
Constructors in javax.sound.sampled with parameters of type AudioFormat.Encoding
Modifier
Constructor
Description
``
`AudioFormat(AudioFormat.Encoding encoding, float sampleRate, int sampleSizeInBits, int channels, int frameSize, float frameRate, boolean bigEndian)`
Constructs an `AudioFormat` with the given parameters.
``
`AudioFormat(AudioFormat.Encoding encoding, float sampleRate, int sampleSizeInBits, int channels, int frameSize, float frameRate, boolean bigEndian, Map<String,Object> properties)`
Constructs an `AudioFormat` with the given parameters.

## Uses of AudioFormat.Encoding in javax.sound.sampled.spi

Methods in javax.sound.sampled.spi that return AudioFormat.Encoding
Modifier and Type
Method
Description
`abstract AudioFormat.Encoding[]`
FormatConversionProvider.`getSourceEncodings()`
Obtains the set of source format encodings from which format conversion services are provided by this provider.
`abstract AudioFormat.Encoding[]`
FormatConversionProvider.`getTargetEncodings()`
Obtains the set of target format encodings to which format conversion services are provided by this provider.
`abstract AudioFormat.Encoding[]`
FormatConversionProvider.`getTargetEncodings(AudioFormat sourceFormat)`
Obtains the set of target format encodings supported by the format converter given a particular source format.
Methods in javax.sound.sampled.spi with parameters of type AudioFormat.Encoding
Modifier and Type
Method
Description
`abstract AudioInputStream`
FormatConversionProvider.`getAudioInputStream(AudioFormat.Encoding targetEncoding, AudioInputStream sourceStream)`
Obtains an audio input stream with the specified encoding from the given audio input stream.
`abstract AudioFormat[]`
FormatConversionProvider.`getTargetFormats(AudioFormat.Encoding targetEncoding, AudioFormat sourceFormat)`
Obtains the set of target formats with the encoding specified supported by the format converter.
`boolean`
FormatConversionProvider.`isConversionSupported(AudioFormat.Encoding targetEncoding, AudioFormat sourceFormat)`
Indicates whether the format converter supports conversion to a particular encoding from a particular format.
`boolean`
FormatConversionProvider.`isSourceEncodingSupported(AudioFormat.Encoding sourceEncoding)`
Indicates whether the format converter supports conversion from the specified source format encoding.
`boolean`
FormatConversionProvider.`isTargetEncodingSupported(AudioFormat.Encoding targetEncoding)`
Indicates whether the format converter supports conversion to the specified target format encoding.